package com.zm.order.tool.server.service;

import com.zm.util.dto.Result;

/**
 * @Description 订单同步service
 * @Author: ph
 * @Date: 2019/11/1 10:54
 */
public interface OrderSyncService {

    /**
     * 指定订单同步
     *
     * @param orderNo 订单号
     * @param userId  用户id
     * @param version 版本号
     * @return
     */
    Result sync(String orderNo, Long userId, Integer version);

    /**
     * 分发
     *
     * @return
     */
    Result dispatch();

    /**
     * 通过hint搂出指定时间段内的数据，和es里的数据进行对比，如果数据有问题，发钉钉提示
     * 设计一张表 记录上次对比的时间 对比的结果
     *
     * @param dbNo 数据库编号
     * @param tbNo 表编号
     * @return
     */
    Result compare(Integer dbNo, Integer tbNo);

    Result scanSync(int before);

    void retailSync();
}
